For the complete documentation index, see llms.txt. This page is also available as Markdown.

Product

Scrape Flipkart product pages by product ID.

The flipkart_product data source is designed to retrieve Flipkart product pages.

Request samples

In the samples below, we make a request to retrieve a product page for 61400c2ed6802.

curl 'https://realtime.oxylabs.io/v1/queries' \
--user 'USERNAME:PASSWORD' \
-H 'Content-Type: application/json' \
-d '{
        "source": "flipkart_product",
        "product_id": "61400c2ed6802",
        "render": "html"
    }'
import requests
from pprint import pprint


# Structure payload.
payload = {
    "source": "flipkart_product",
    "product_id": "61400c2ed6802",
    "render": "html"
}

# Get response.
response = requests.request(
    'POST',
    'https://realtime.oxylabs.io/v1/queries',
    auth=('USERNAME', 'PASSWORD'),
    json=payload,
)

# Instead of response with job status and results url, this will return the
# JSON response with the result.
pprint(response.json())

Request parameter values

Generic

Basic setup and customization options for scraping Flipkart product pages.

Parameter
Description
Default Value

source

Sets the scraper.

flipkart_product

product_id

Flipkart product ID.

-

render

Enables JavaScript rendering when set to html. More info.

-

callback_url

URL to your callback endpoint. More info

-

user_agent_type

Device type and browser. The full list can be found here.

desktop

- mandatory parameter

Last updated

Was this helpful?